#ifdef GL_ES
	precision highp float;
#endif


/// <summary>
/// Uniform variables.
/// <summary>
uniform vec2 ImageSize;
uniform vec2 TexelSize;
uniform float Time;
uniform bool IsMouseDown;
uniform vec2 MousePos;
								// Pass 1: Input = None, Output = FBO Sample0
uniform sampler2D Sample0;		// Pass 2: Output = FBO Sample1
uniform sampler2D Sample1;		// Pass 3: Output = FBO Sample2
uniform sampler2D Sample2;		// Pass 4: Output = FBO Sample3
//uniform sampler2D Sample3;	// Pass 5: Output = FBO Sample4
//uniform sampler2D Sample4;	// Pass 6: Output = FBO Sample5
//uniform sampler2D Sample5;	// Pass 7: Output = FBO Sample6...


/// <summary>
/// Varying variables.
/// <summary>
varying vec2 vUv;


vec3 nrand3( vec2 co )
{
	vec3 a = fract( cos( co.x*8.3e-3 + co.y )*vec3(1.3e5, 4.7e5, 2.9e5) );
	vec3 b = fract( sin( co.x*0.3e-3 + co.y )*vec3(8.1e5, 1.0e5, 0.1e5) );
	vec3 c = mix(a, b, 0.5);
	return c;
}
void main(void)
{
	vec3 p = vec3(vUv / 2., 0) + vec3(1., -1.3, 0.);
	p -= .8 * vec3((Time / 1600.), 0.0,0.0);//sin(Time / 120.),  sin(Time / 1280.));
	vec2 seed = p.xy * 1.2;	
	seed = floor(seed * ImageSize);
	vec3 rnd = nrand3( seed );
	vec4 starcolor = vec4(pow(rnd.y,40.0));
    gl_FragColor = vec4(starcolor.xyz,1.0);
}
